odbc_fetch_into
odbc_fetch_row
ODBC Functions
PHP Manual

# odbc_fetch_object

Fetch a result row as an object

### Description

object odbc_fetch_object ( resource `$result` [, int `$rownumber` ] )

Fetch an object from an ODBC query. See the changelog below for when this function is available.

### Parameters

`result`

  The result resource from odbc_exec.

`rownumber`

  Optionally choose which row number to retrieve.

### Return Values

Returns an object that corresponds to the fetched row, or `FALSE` if there are no more rows.

### Changelog

Version | Description
--- | ---
4.3.3 | This function exists when compiled with IBM DB2 or UnixODBC support.
4.3.2 | This function exists when compiled for Windows.
4.0.2 | This function exists when compiled with DBMaker support.

### See Also

- odbc_fetch_row
- odbc_fetch_array
- odbc_num_rows